<template>
  <div class="main">
    <div class="checkout-container"></div>
    <span v-if="isClosed">Thank you for checking out the demo!</span>
  </div>
</template>

<script>
import {mapState} from 'vuex'

import {settings} from './settings'

import {Checkout} from '../lib/main'

export default {
  computed: {
    ...mapState(['isClosed']),
  },
  methods: {
    initializeCheckout() {
      const charge = {
        amount: settings.amount,
        currencyCode: settings.currency,
        externalIdentifier: 'Demo App',
      }

      const options = {
        onCheckoutCompleted: state => console.log('completed', state),
        onCheckoutExpired: state => console.log('expired', state),
        onCheckoutCanceled: state => console.log('canceled', state),
        onOpen: () => console.log('checkout widget open'),
        onClose: () => console.log('closing checkout'),
      }
      const checkout = new Checkout(settings.serverUrl, settings.storeId, charge, options)
      checkout.mount('div.checkout-container')
    },
  },
  beforeCreate() {
    document.title = 'Hub20 Checkout Demo'
  },
  mounted() {
    this.initializeCheckout()
  },
}
</script>

<style lang="scss">
@import './assets/styles/materialize.scss';
</style>
